Name:          xz
Version:       5.2.4
Release:       1mamba
Summary:       Utilities for the .xz and .lzma formats
Group:         Applications/Archiving
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://tukaani.org/xz
Source:        http://tukaani.org/xz/xz-%{version}.tar.gz
License:       GPL
Provides:      lzma
Obsoletes:     lzma
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
Requires:      liblzma = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Utilities for the .xz and .lzma formats.
lzma is a file compression utility with a high compression ratio.
Features:
    * Average compression ratio of LZMA is about 30% better than that of gzip, and 15% better than that of bzip2.
    * Decompression speed is only little slower than that of gzip, being two to five times faster than bzip2.
    * In fast mode, compresses faster than bzip2 with a comparable compression ratio.
    * Achieving the best compression ratios takes four to even twelve times longer than with bzip2. However. this doesn't affect decompressing speed.
    * Very similar command line interface than what gzip and bzip2 have.
    * The patch for GNU tar integrates LZMA compression with the tar command in the same way as with gzip and bzip2.
    * Free software licensed under the GNU GPL (actually most parts are under the GNU LGPL).

%package -n liblzma
Summary:       A library implementing the LZMA compression algorythm
Group:         System/Libraries

%description -n liblzma
lzma is a file compression utility with a high compression ratio.
Features:
    * Average compression ratio of LZMA is about 30% better than that of gzip, and 15% better than that of bzip2.
    * Decompression speed is only little slower than that of gzip, being two to five times faster than bzip2.
    * In fast mode, compresses faster than bzip2 with a comparable compression ratio.
    * Achieving the best compression ratios takes four to even twelve times longer than with bzip2. However. this doesn't affect decompressing speed.
    * Very similar command line interface than what gzip and bzip2 have.
    * The patch for GNU tar integrates LZMA compression with the tar command in the same way as with gzip and bzip2.
    * Free software licensed under the GNU GPL (actually most parts are under the GNU LGPL).
This package contains the libzmla dynamic library.

%package -n liblzma-devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n liblzma-devel
Utilities for the .xz and .lzma formats.
lzma is a file compression utility with a high compression ratio.
Features:
    * Average compression ratio of LZMA is about 30% better than that of gzip, and 15% better than that of bzip2.
    * Decompression speed is only little slower than that of gzip, being two to five times faster than bzip2.
    * In fast mode, compresses faster than bzip2 with a comparable compression ratio.
    * Achieving the best compression ratios takes four to even twelve times longer than with bzip2. However. this doesn't affect decompressing speed.
    * Very similar command line interface than what gzip and bzip2 have.
    * The patch for GNU tar integrates LZMA compression with the tar command in the same way as with gzip and bzip2.
    * Free software licensed under the GNU GPL (actually most parts are under the GNU LGPL).
This package contains static libraries and header files need for development.

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall
%find_lang %{name}

%post -n liblzma -p /sbin/ldconfig
%postun -n liblzma  -p /sbin/ldconfig

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/lz*
%{_bindir}/unlzma
%{_bindir}/unxz
%{_bindir}/xz*
%{_mandir}/man1/lz*.1.gz
%{_mandir}/man1/unlzma.1.gz
%{_mandir}/man1/unxz.1.gz
%{_mandir}/man1/xz*.1.gz
%doc AUTHORS ChangeLog README THANKS

%files -n liblzma
%defattr(-,root,root)
%{_libdir}/liblzma.so.*
%doc COPYING

%files -n liblzma-devel
%defattr(-,root,root)
%{_includedir}/*.h
%dir %{_includedir}/lzma
%{_includedir}/lzma/*.h
%{_libdir}/liblzma.a
%{_libdir}/liblzma.la
%{_libdir}/liblzma.so
%{_docdir}/xz/*
%{_libdir}/pkgconfig/*.pc

%changelog
* Thu May 03 2018 Automatic Build System <autodist@mambasoft.it> 5.2.4-1mamba
- automatic version update by autodist

* Sun Jan 01 2017 Automatic Build System <autodist@mambasoft.it> 5.2.3-1mamba
- automatic version update by autodist

* Tue Sep 29 2015 Automatic Build System <autodist@mambasoft.it> 5.2.2-1mamba
- automatic version update by autodist

* Mon Mar 02 2015 Automatic Build System <autodist@mambasoft.it> 5.2.1-1mamba
- automatic version update by autodist

* Mon Dec 22 2014 Automatic Build System <autodist@mambasoft.it> 5.2.0-1mamba
- automatic version update by autodist

* Sun Sep 21 2014 Automatic Build System <autodist@mambasoft.it> 5.0.7-1mamba
- automatic version update by autodist

* Tue Sep 16 2014 Automatic Build System <autodist@mambasoft.it> 5.0.6-1mamba
- automatic version update by autodist

* Mon Jul 01 2013 Automatic Build System <autodist@mambasoft.it> 5.0.5-1mamba
- automatic version update by autodist

* Sat Jun 23 2012 Automatic Build System <autodist@mambasoft.it> 5.0.4-1mamba
- automatic version update by autodist

* Sat Jul 02 2011 Automatic Build System <autodist@mambasoft.it> 5.0.3-1mamba
- automatic update by autodist

* Sat May 21 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 5.0.2-1mamba
- update to 5.0.2

* Wed Feb 02 2011 Automatic Build System <autodist@mambasoft.it> 5.0.1-1mamba
- automatic update by autodist

* Tue Nov 02 2010 Automatic Build System <autodist@mambasoft.it> 5.0.0-1mamba
- automatic update by autodist

* Mon Oct 26 2009 Automatic Build System <autodist@mambasoft.it> 4.999.9beta-1mamba
- automatic update by autodist

* Fri Aug 14 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 4.999.8beta-1mamba
- package created by autospec
